/*
 * Copyright (C) 2006-2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file fd.h exported symbols from fd.c */

int write_all(int fd, const char *buf, size_t *len);
int file_exists(const char *);
int para_select(int n, fd_set *readfds, fd_set *writefds,
		struct timeval *timeout_tv);
__must_check int mark_fd_nonblocking(int fd);
__must_check int mark_fd_blocking(int fd);
void para_fd_set(int fd, fd_set *fds, int *max_fileno);
void *para_mmap(size_t length, int prot, int flags, int fd, off_t offset);
int para_open(const char *path, int flags, mode_t mode);
int para_opendir(const char *dirname, DIR **dir, int *cwd);
int para_mkdir(const char *path, mode_t mode);
int para_fchdir(int fd);
int para_chdir(const char *path);
int mmap_full_file(const char *filename, int open_mode, void **map,
	size_t *size, int *fd_ptr);
int para_munmap(void *start, size_t length);
int write_ok(int fd);
int para_write_file(const char *filename, const void *buf, size_t size);
